[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TCustomDBComboBox.Field

Contains the field definition from the linked dataset.

## Declaration

Source position: dbctrls.pp line 780

`public property TCustomDBComboBox.Field : TField read GetField;`

## Description

Field is a read-only TField property which contains the definition for the field in the linked dataset where the value for the control is stored. Read access for the property value is redirected to the Field property in the internal TFieldDataLink instance used in the class.

The value in Field is updated when the UpdateField method in TFieldDataLink is called after setting the DataField for the control.

## See also

TCustomDBComboBox.DataField |  | The name of the Field which provides the values displayed in the control.
TFieldDataLink.Field |  | The Field to which the datalink is attached.
TField